Subject: visualization of charges on surface

From: Atte Sillanpää <[email-masked]>
Date: Tue, 24 Sep 2002 11:12:40 +0300 (EEST)

Hello all,

I'd like to plot the electrostatic potential on a cosmo cavity
surface. I have performed the calculations using Turbomole, which has
the GRID option to plot properties on 3D grids. This is where I get my
potential. However, the surface, which in this case is the
cosmo-cavity, on which I'd like to map the electrostatic potential, is
defined by points in space, that is, their xyz-coordinates. Does
anyone know of a program that is able to read these points and create
the surface from it? The program I've used till now, gOpenMol, is able
to take an isosurface of a property of choice, and map another 3D-grid
property on that, but in this case, as my surface is not defined my a
3D grid, this approach does not work.

Any suggestions?

Cheers,

	[email-masked]		+358 (0)8 553 1681 (work), KE 368
	Dept. of Physical Chemistry	+358 (0)40 592 7369 (gsm)
	Po-BOX 3000
	FIN-90014 University of Oulu
	FINLAND
                  |   Entropy requires no maintenance.   |

---

From: Richard Gillilan <[email-masked]>
Date: Tue, 24 Sep 2002 11:33:49 -0400

Atte Sillanpää wrote:
> the surface from it? 

You can use simple trilinear interpolation to map the potential values
> from the grid to the points (www.opendx.org can do this), but I assume the
real problem you have is that the points do not have a connection table.
Triangulating a general 2D surface in 3-space is not trival since there can be
genuine ambiguity. There are programs that attempt to do it however. If I recall
correctly, some of the early molecular surface codes which generated dot surfaces
attempted triangulation in this fashion. I also recall a paper some years ago
in a SIGGRAPH journal on this subject but I can't find it at the moment.

I'm not familiar with how cosmo cavity is defined. If it is a collection
of spheres of given radius, then you may be able to treat them like a
bunch of atoms and compute a triangulated surface using a molecular surface
algorithm.

Good luck.

  Richard Gillilan
  MacCHESS, Cornell

> The program I've used till now, gOpenMol, is able
> -= This is automatically added to each message by mailing script =-
> [email-masked] -- To Everybody  | [email-masked] -- To Admins
> Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]